All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.visuals.tableview
Class SwapCurrentCellAction

    com.sas.swing.visuals.tableview.SwapCurrentCellAction

All Implemented Interfaces:
  java.awt.event.ActionListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, javax.swing.Action

    public class SwapCurrentCellAction

See Also:
  Serialized Form

Field Summary
`static int` | `COLUMN_HEADER` Swaps the current cell between the table and the column header
`protected int` | `oldColumn`
`protected int` | `oldRow`
`static int` | `ORIGIN_COMPONENT` Swaps the current cell between the table and the origin component
`static int` | `ROW_HEADER` Swaps the current cell between the table and the row header
`protected int` | `swappingComponent`

Constructor Summary
`SwapCurrentCellAction()`
`SwapCurrentCellAction(int swappingComponent)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)`

Field Detail

### COLUMN_HEADER

    public static final int COLUMN_HEADER

  Swaps the current cell between the table and the column header

  See Also:
    Constant Field Values

### ROW_HEADER

    public static final int ROW_HEADER

  Swaps the current cell between the table and the row header

  See Also:
    Constant Field Values

### ORIGIN_COMPONENT

    public static final int ORIGIN_COMPONENT

  Swaps the current cell between the table and the origin component

  See Also:
    Constant Field Values

### swappingComponent

    protected int swappingComponent

### oldRow

    protected int oldRow

### oldColumn

    protected int oldColumn

Constructor Detail

### SwapCurrentCellAction

    public SwapCurrentCellAction()

### SwapCurrentCellAction

    public SwapCurrentCellAction(int swappingComponent)

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.